unit Uasgc;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, AdvGrid, AdvCGrid, ExtCtrls, Buttons, StdCtrls, ShellApi;

type
  TForm1 = class(TForm)
    AdvColumnGrid1: TAdvColumnGrid;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 advcolumngrid1.savefixedcells:=false;
 advcolumngrid1.loadfromcsv('cars.csv');
 
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
var
 fs:tfilestream;
begin
 if not fileexists('columns.str') then
  begin
   showmessage('Column settings file not found');
   exit;
  end;
 fs:=tfilestream.Create('columns.str',fmOpenRead);
 advcolumngrid1.loadcolumnsfromstream(fs);
 fs.free;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
var
 fs:tfilestream;
begin
 fs:=tfilestream.Create('columns.str',fmCreate);
 advcolumngrid1.savecolumnstostream(fs);
 fs.free;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
 if fontdialog1.execute then
  begin
    advcolumngrid1.columns.items[advcolumngrid1.col].font.assign(fontdialog1.font);
  end;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
 if colordialog1.execute then
  begin
    advcolumngrid1.columns.items[advcolumngrid1.col].color:=colordialog1.color;
  end;

end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
 advcolumngrid1.columns.items[advcolumngrid1.col].alignment:=taLeftJustify;
end;

procedure TForm1.SpeedButton6Click(Sender: TObject);
begin
 advcolumngrid1.columns.items[advcolumngrid1.col].alignment:=taCenter;
end;

procedure TForm1.SpeedButton7Click(Sender: TObject);
begin
 advcolumngrid1.columns.items[advcolumngrid1.col].alignment:=taRightJustify;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
 shellexecute(self.handle,'open','http://www.tmssoftware.com',nil,nil,SW_NORMAL);
end;

end.
